PUBLIC-INBOX-NETD(1)

NAME
public-inbox-netd - read-only network daemon for sharing public-inboxes

SYNOPSIS
  public-inbox-netd [OPTIONS]

DESCRIPTION
public-inbox-netd provides a read-only multi-protocol (HTTP/IMAP/NNTP/POP3) daemon for public-inbox. It uses options and environment variables common to all public-inbox-daemon(8) implementations.

The default configuration will never require write access to the directory where the public-inbox is stored, so it may be run as a different user than the user running public-inbox-watch(1), public-inbox-mda(1), or git-fetch(1).

OPTIONS
See common options in "OPTIONS" in public-inbox-daemon(8).

-l PROTOCOL://ADDRESS/?cert=/path/to/cert,key=/path/to/key
--listen PROTOCOL://ADDRESS/?cert=/path/to/cert,key=/path/to/key
-l http://ADDRESS/?env.PI_CONFIG=/path/to/cfg,psgi=/path/to/app.psgi
    In addition to the normal "-l"/"--listen" switch described in public-inbox-daemon(8), the protocol prefix (e.g. "nntp://" or "nntps://") may be specified to force a given protocol.

    Environment variable overrides in effect during loading and reloading (SIGHUP) can be specified as "env.NAME=VALUE" for all protocols.

    HTTP(S) listeners may also specify "psgi=" to use a different ".psgi" file for each listener.

    "err=/path/to/errors.log" may be used to isolate error/debug output for a particular listener away from "--stderr".

    Non-HTTP(S) listeners may also specify "out=" for logging to "stdout". HTTP(S) users are encouraged to configure Plack::Middleware::AccessLog or Plack::Middleware::AccessLog::Timed, instead.

--cert /path/to/cert
    See public-inbox-daemon(1).

--key /path/to/key
    See public-inbox-daemon(1).

CONFIGURATION
These configuration knobs should be used in the public-inbox-config(5).

publicinbox.<name>.newsgroup
publicinbox.nntpserver
publicinbox.pop3state

See public-inbox-config(5) for documentation on them.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/>, and <nntp://news.public-inbox.org/inbox.comp.mail.public-inbox.meta>, <nntp://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/inbox.comp.mail.public-inbox.meta>

COPYRIGHT
Copyright all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
git(1), git-config(1), public-inbox-daemon(8), public-inbox-config(5)